Vulnerability CVE-2009-4556


Published: 2010-01-04   Modified: 2012-02-13

Description:
Quick Heal AntiVirus Plus 2009 10.00 SP1 and Quick Heal Total Security 2009 10.00 SP1 use weak permissions (Everyone: Full Control) for the product files, which allows local users to gain privileges by replacing executables with Trojan horse programs, as demonstrated by replacing quhlpsvc.exe.

See advisories in our WLB2 database:
Topic
Author
Date
High
Quick Heal Local Privilege Escalation Vulnerability
Maxim A. Kulakov
06.01.2010

Type:

CWE-264

(Permissions, Privileges, and Access Controls)

Vendor: Quickheal
Product: Antivirus plus 2009 
Version: 10.00;
Product: Total security 2009 
Version: 10.00;

CVSS2 => (AV:L/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.2/10
10/10
3.9/10
Exploit range
Attack complexity
Authentication
Local
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete

 References:
http://www.securityfocus.com/archive/1/507121/100/0/threaded
http://www.securityfocus.com/bid/36662
https://exchange.xforce.ibmcloud.com/vulnerabilities/53746

Related CVE
CVE-2015-8285
The webssx.sys driver in QuickHeal 16.00 allows remote attackers to cause a denial of service.
CVE-2013-6767
Stack-based buffer overflow in pepoly.dll in Quick Heal AntiVirus Pro 7.0.0.1 allows local users to execute arbitrary code or cause a denial of service (crash process) via a long *.text value in a PE file.
CVE-2008-5524
CAT-QuickHeal 10.00 and possibly 9.50, when Internet Explorer 6 or 7 is used, allows remote attackers to bypass detection of malware in an HTML document by placing an MZ header (aka "EXE info") at the beginning, and modifying the filename to have (1)...

Copyright 2019, cxsecurity.com

 

Back to Top